Subject: Re: [bug#31156] [PATCH 2/2] gnu: gajim: Update to 1.0.1.
From: Clément Lassieur <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Apr 2018 11:23:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> Clément Lassieur <[email-masked]> writes:
>
>> * gnu/packages/messaging.scm (python2-nbxmpp): Remove variable.
>> (gajim): Update to 1.0.1.
>> [build-system]: Change to PYTHON-BUILD-SYSTEM.
>> [arguments]: Remove the PYTHONPATH wrapper.  Don't override "APP".  Add a
>> GI_TYPELIB_PATH wrapper.  Add 'remove-test-resolver, 'start-xserver and
>> 'install-icons phases.
>> [native-inputs]: Add XORG-SERVER.
>> [inputs]: Remove PYTHON2-AXOLOTL, PYTHON2-NBXMPP, PYTHON2-PYOPENSSL,
>> PYTHON2-GNUPG, PYTHON2-PYGTK, PYTHON-2.  Add ADWAITA-ICON-THEME,
>> GNOME-KEYRING, GTK+, GTKSPELL3, HICOLOR-ICON-THEME, LIBSECRET, PYTHON-DBUS,
>> PYTHON-DOCUTILS, PYTHON-GNUPG, PYTHON-NBXMPP, PYTHON-PILLOW, PYTHON-PYASN1,
>> PYTHON-PYCAIRO, PYTHON-PYGOBJECT, PYTHON-PYOPENSSL.
>
> Wooow, nice work.  Is there any reason to remove python2-nbmxmpp?  I
> understand gajim was the only consumer in Guix, but it may be needed
> again in the future, or be in use by downstreams.
>
> If upstream no longer supports Python2, maybe it would be better as a
> separate change/squashed in the previous commit?
>
> Anyway, thanks for this, the Gajim changes LGTM!

Hi Marius,

I'm fine with keeping python2-nbxmpp, just in case someone needs it
later, so I re-added it and pushed.

Thank you for reviewing!
Clément